local sample_names =  {
    "lead1",
    "lead2",
    "lead3",
    "lead4",
    "lead5",
    "lead6",
    "lead7",
    "lead8",
    "lead9",
    "lead10",
    "bass1",
    "bass2",
    "bass3",
    "bass4",
    "bass5",
    "bass6",
    "bass7",
    "bass8",
    "bass9",
    "bass10",
    "drum1",
    "drum2",
    "drum3",
    "drum4",
    "drum5",
    "drum6",
    "drum7",
    "drum8",
    "drum9",
    "drum10",
}

local samples = lt.LoadSamples(sample_names)

function make_music()
    local nsamples = #sample_names
    local ntracks = 4
    local layer = lt.Layer()
    local tracks = {}
    local next = 1
    layer.change = function()
        local track = tracks[next]
        if track then
            track:Stop()
            layer:Remove(track)
        end
        track = lt.Track()
        track.loop = true
        track.gain = 1
        local p = 1
        local r = math.random(5)
        if r == 2 then 
            p = 2
        elseif r == 4 then
            p = 0.5
        end
        track.pitch = p
        track:Queue(samples[sample_names[math.random(nsamples)]])
        track:Play()
        layer:Insert(track)
        tracks[next] = track
        next = next + 1
        if next > ntracks then
            next = 1
        end
    end
    layer.fadeout = function()
        for _, t in pairs(tracks) do
            t:Tween{gain = 0, time = 2}
        end
    end
    --layer.change()
    return layer
end
